import { meetManage } from '@/api'
import request from '@/utils/require'

// 分页
export function selectMeetingRoomManagePage(data) {
    return request({
        url: `${meetManage}/meetingRoomManage/selectMeetingRoomManagePage?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
        method: 'post',
        data: data,
    })
}
//获取使用单位的接口
export function selectUnitList(data) {
    return request({
        url: `${meetManage}/meetingRoomManage/selectUnitList`,
        method: 'post',
        data: data,
    })
}
//导出列表
export function exportMeetingRoomManage(data) {
    return request({
        url: `${meetManage}/meetingRoomManage/exportMeetingRoomManage`,
        method: 'post',
		responseType: "blob",
        data: data,
    })
}
//生成会议室编号
export function generateMeetingRoomApplyNo(data) {
    return request({
        url: `${meetManage}/meetingRoomManage/generateMeetingRoomApplyNo`,
        method: 'post',
        data: data,
    })
}
//会议管理新增
export function addMeetingRoomApply(data) {
    return request({
        url: `${meetManage}/meetingRoomManage/addMeetingRoomApply`,
        method: 'post',
        data: data,
    })
}
//查看详情
export function selectMeetingRoomApplyDetail(data) {
    return request({
        url: `${meetManage}/meetingRoomManage/selectMeetingRoomApplyDetail`,
        method: 'get',
        params: data,
    })
}
//修改--审核
export function updateMeetingRoomApply(data) {
    return request({
        url: `${meetManage}/meetingRoomManage/updateMeetingRoomApply`,
        method: 'post',
        data: data,
    })
}
//删除
export function deleteMeetingRoomApply(data) {
    return request({
        url: `${meetManage}/meetingRoomManage/deleteMeetingRoomApply`,
        method: 'delete',
        params: data,
    })
}
